<?php

/**
 *
 * VM Payment - PayTR Virtual Pos iFrame API
 *
 * @author PayTR Ödeme Hizmetleri A.Ş.
 * @package VirtueMart
 * @subpackage payment
 * Copyright (C) 2021 PayTR Ödeme Hizmetleri A.Ş. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See /administrator/components/com_virtuemart/COPYRIGHT.php for copyright notices and details.
 *
 * http://virtuemart.net
 */

defined('JPATH_BASE') or die();
jimport('joomla.form.formfield');

/**
 * Class JFormFieldGetPaytr
 */
class JFormFieldGetPaytr extends JFormField {
	var $type = 'getPaytr';

    /**
     * @return string
     */
	protected function getInput() {
        return '
            <div style="text-align: center">
                <img alt="PayTR" src="'.JURI::root() . '/plugins/vmpayment/paytr/assets/images/paytr-logo.jpg'.'" class="paytr-logo" width="400" /><br>
                <img alt="PayTR" src="'.JURI::root() . '/plugins/vmpayment/paytr/assets/images/banks.jpg'.'" class="paytr-features" width="600" /><br>
                <img alt="PayTR" src="'.JURI::root() . '/plugins/vmpayment/paytr/assets/images/features.jpg'.'" class="paytr-features" width="300" /><br>
            </div>
        ';
	}

}